# ArrayObject::offsetUnset

(PHP 5, PHP 7)

ArrayObject::offsetUnset — Unsets the value at the specified index

### Description

public ArrayObject::offsetUnset ( mixed `$index` ) : void

Unsets the value at the specified index.

### Parameters

`index`

  The index being unset.

### Return Values

No value is returned.

### Examples

Example #1 ArrayObject::offsetUnset() example

`<?php
$arrayobj = new ArrayObject(array(0=>'zero',2=>'two'));
$arrayobj->offsetUnset(2);
var_dump($arrayobj);
?>`

The above example will output:

    object(ArrayObject)#1 (1) {
      [0]=>
      string(4) "zero"
    }